Subject: Re: bug#66144: 29.1; eglot-shutdown request params violate JSONRPC spec

From: Stefan Kangas <[email-masked]>
Date: Thu, 25 Jul 2024 00:06:28 -0700

Javier Olaechea <[email-masked]> writes:

> I did sit down twice to read the jsonrpc.el code and  understand what I need to do to make the
> change I hoped to. But unfortunately I can't even say I understood jsonrpc--async-request-1 well
> enough.Or even, if that is indeed the function we need to change so that we don't seed a params
> attribute when params is nil. It seems that we are passing the params down in multiple arms?

Daniel, can you help answer Javier's questions in this bug thread?